CalendarTick = function()
	if DayCount == 1 then
		DayCountName = "Monday"
	elseif DayCount == 2 then
		DayCountName = "Tuesday"
	elseif DayCount == 3 then
		DayCountName = "Wednesday"
	elseif DayCount == 4 then
		DayCountName = "Thursday"
	elseif DayCount == 5 then
		DayCountName = "Friday"
	elseif DayCount == 6 then
		DayCountName = "Saturday"
	elseif DayCount == 7 then
		DayCountName = "Sunday"
	end
	if MonthCount == 1 then
		MonthCountName = "January"
	elseif MonthCount == 2 then
		MonthCountName = "February"
	elseif MonthCount == 3 then
		MonthCountName = "March"
	elseif MonthCount == 4 then
		MonthCountName = "April"
	elseif MonthCount == 5 then
		MonthCountName = "May"
	elseif MonthCount == 6 then
		MonthCountName = "June"
	elseif MonthCount == 7 then
		MonthCountName = "July"
	elseif MonthCount == 8 then
		MonthCountName = "August"
	elseif MonthCount == 9 then
		MonthCountName = "September"
	elseif MonthCount == 10 then
		MonthCountName = "October"
	elseif MonthCount == 11 then
		MonthCountName = "November"
	elseif MonthCount == 12 then
		MonthCountName = "December"
	end
	if PartOfTheDayCount == 1 then
		PartOfTheDay = "Day"
	elseif PartOfTheDayCount == 2 then
		PartOfTheDay = "Night"
	end
	if DateDayCount >= 30 then
		DateDayCount = DateDayCount - 29
	end
	if DayCount >= 7 then
		DayCount = DayCount - 6
		WeekCount = WeekCount + 1
	end
	if WeekCount >= 4 then
		WeekCount = WeekCount - 3
		MonthCount = MonthCount + 1
	end
	if MonthCount >= 12 then
		MonthCount = MonthCount - 11
		YearCount = YearCount + 1
	end
	Trigger.AfterDelay(0.01, function() CalendarTick() end)
end

